Retrieve a Transaction

### GET Transactions `/transactions` endpoint allows you to operate on the [Transaction entity](/guides/overview/entities#transaction). Calling `GET /transactions/{transactionId}` will return the entire transaction payload and rule execution results for the transaction with the corresponding `transactionId`

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

transactionIdstringRequired
Unique Transaction Identifier

Response

OK
typestring

Type of transaction (ex: DEPOSIT, WITHDRAWAL, TRANSFER, EXTERNAL_PAYMENT, REFUND, OTHER)

transactionIdstring>=1 character
Unique transaction identifier
timestampdouble315529200000-4133890801000
Timestamp of when transaction took place
executedRuleslist of objects
hitRuleslist of objects
statusenum
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
originUserIdstringOptional
UserId for where the transaction originates from
destinationUserIdstringOptional
UserId for transaction's destination. In other words, where the value is being transferred to.
transactionStateenumOptional
Model for transaction states. E.g. Processing, Refunded, Successful etc.
originAmountDetailsobjectOptional
Model for transaction amount details
destinationAmountDetailsobjectOptional
Model for transaction amount details
originPaymentDetailsobjectOptional
Payment details of the origin. It can be a bank account number, wallet ID, card fingerprint etc.
destinationPaymentDetailsobjectOptional
originFundsInfoobjectOptional
Model for origin funds information
corporateEntityobjectOptional
Model for corporate entity details
relatedTransactionIdslist of stringsOptional

IDs of transactions related to this transaction. Ex: refund, split bills

productTypestringOptional

Type of produce being used by the consumer (ex wallets, payments etc)

promotionCodeUsedbooleanOptional
Whether a promotion code was used or not the transaction
referencestringOptional>=1 character
Reference field for the transaction indicating the purpose of the transaction etc.
originDeviceDataobjectOptional
Model for device data
destinationDeviceDataobjectOptional
Model for device data
metadataobjectOptional
Additional metadata for transactions including risk analysis and counterparty information
tagslist of objectsOptional
Additional information that can be added via tags
jurisdictionstringOptional
Legal authority or region governing the transaction
riskScoreDetailsobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error